DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# match-split-string-list

## Name

match-split-string-list -- Splits each string in a list of strings and returns the concatenated result list

## Synopsis

    (match-split-string-list string-list target)

## Description

Splits each string in `string-list` at `target` with `(match-split)`, concatenates the results, and returns a single list of tokens.

string-list

  The list of strings to split.

target

  The string which is a delimiter between tokens.

## Author

Norman Walsh, <ndw@nwalsh.com>

## Source Code

    (define (match-split-string-list string-list target)
      ;; Splits each string in a list of strings and returns the concatenated result list
      (let loop ((result '()) (sl string-list))
        (if (null? sl)
    	result
    	(loop (append result (match-split (car sl) target))
    	      (cdr sl)))))

Prev | Home | Next
match-split | Up | match-split-list